Skip to main content
PUT
Update Contract Journal Entry

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Body

Base serializer that injects the request user's customer on create and restricts related-object querysets to the same customer.

contract
integer
required
entry_date
string<date>
required
performance_obligation
integer | null
invoice
integer | null
description
string
Maximum string length: 500
debit_account
integer | null
credit_account
integer | null
currency
string
Maximum string length: 3
amount
number<double>
Required range: -10000000000000 < x < 10000000000000
source
enum<string>
  • INVOICE - Invoice
  • RECOGNITION - Recognition
  • RECLASS - Reclass
  • TERMINATION - Termination
  • CATCH_UP - Catch-up
  • MANUAL - Manual
Available options:
INVOICE,
RECOGNITION,
RECLASS,
TERMINATION,
CATCH_UP,
MANUAL
status
enum<string>
  • DRAFT - Draft
  • POSTED - Posted
Available options:
DRAFT,
POSTED
tags
any
reversal_of
integer | null

Response

200 - application/json

Base serializer that injects the request user's customer on create and restricts related-object querysets to the same customer.

id
integer
required
read-only
contract
integer
required
contract_name
string
required
read-only
entry_date
string<date>
required
created_at
string<date-time>
required
read-only
last_modified_at
string<date-time>
required
read-only
performance_obligation
integer | null
invoice
integer | null
description
string
Maximum string length: 500
debit_account
integer | null
credit_account
integer | null
currency
string
Maximum string length: 3
amount
number<double>
Required range: -10000000000000 < x < 10000000000000
source
enum<string>
  • INVOICE - Invoice
  • RECOGNITION - Recognition
  • RECLASS - Reclass
  • TERMINATION - Termination
  • CATCH_UP - Catch-up
  • MANUAL - Manual
Available options:
INVOICE,
RECOGNITION,
RECLASS,
TERMINATION,
CATCH_UP,
MANUAL
status
enum<string>
  • DRAFT - Draft
  • POSTED - Posted
Available options:
DRAFT,
POSTED
tags
any
reversal_of
integer | null